Add an entity to a playlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/playlists/{playlist_id}/add-entity

Add an entity to a playlist, with a preview. Without preview_file_id, or when the preview is not a preview of this entity, the route uses the last preview of the entity for the task type of the playlist. A manager of the project can change all the playlists. A supervisor of the project can change the playlists that the supervisor created and the playlists with no creator.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

application/json

Body Required

  • entity_id string(uuid) Required

    Entity unique identifier to add to playlist

  • preview_file_id string(uuid) | null

    Optional preview file identifier associated to the entity

Responses

  • 200 application/json

    The updated playlist

  • 400

    The body is not valid

  • 403

    You cannot change this playlist

  • 404

    The playlist does not exist

POST /actions/playlists/{playlist_id}/add-entity
curl \
 --request POST '/api/actions/playlists/{playlist_id}/add-entity' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "entity_id": "string",
  "preview_file_id": "string"
}'
Request examples
{
  "entity_id": "string",
  "preview_file_id": "string"
}
Response examples (200)
{}